namespace Tinkerforge
{
    public static class EDistanceIR
    {
        public static (char Option, int Min, int Max) GetDistanceCallbackThreshold(this BrickletDistanceIR distanceIR)
        {
            distanceIR.GetDistanceCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(
            this BrickletDistanceIR distanceIR)
        {
            distanceIR.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
